Categories:
  - Multimedia
License: MIT
SourceCode: https://github.com/lighttigerXIV/SimpleMP-Compose
IssueTracker: https://github.com/lighttigerXIV/SimpleMP-Compose/issues

AutoName: SimpleMP

RepoType: git
Repo: https://github.com/lighttigerXIV/SimpleMP-Compose.git
Binaries: https://github.com/lighttigerXIV/SimpleMP-Compose/releases/download/%v/SimpleMP-%v.apk

Builds:
  - versionName: BETA-1.6.2
    versionCode: 13
    commit: 304aa3a8e3346c6c6f5ad10eaf4ef3758e21d646
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: BETA-1.6.4
    versionCode: 16
    commit: 0700d0a6618da48a94b73a4633f8c7582af7a387
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: BETA-1.7.1
    versionCode: 21
    commit: 1e2a2142e6783f35e485228b69797c2d6e613dc5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes

AllowedAPKSigningKeys: 76ff63eb1d5d833f640e9707f997bdf3ccf8868ecac78dc8a9fff85bd0e8dcb4

AutoUpdateMode: Version
UpdateCheckMode: Tags BETA.*[0-9]$
CurrentVersion: BETA-1.7.1
CurrentVersionCode: 21
